Last Comment Bug 696833 - Ux Designs for Awesome Screen
: Ux Designs for Awesome Screen
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Lucas Rocha (:lucasr)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 12:15 PDT by Erin Lancaster [:elan]
Modified: 2012-01-09 11:49 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
mockup of awesomescreen interactions (532.86 KB, image/jpeg)
2011-10-25 14:03 PDT, Ian Barlow (:ibarlow)
no flags Details
More detailed mocks (302.88 KB, image/png)
2011-11-02 08:44 PDT, Ian Barlow (:ibarlow)
no flags Details
Specs (based on 320px wide phone) (46.73 KB, image/png)
2011-11-02 08:45 PDT, Ian Barlow (:ibarlow)
no flags Details
(1/2) Change style of awesome bar entry as per design (4.02 KB, patch)
2011-11-09 08:23 PST, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Review
(2/2) Implement dynamically coloured tabs in AwesomeBar (15.16 KB, patch)
2011-11-09 08:24 PST, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Review
Screenshot on a Galaxy S (83.12 KB, image/png)
2011-11-09 08:35 PST, Lucas Rocha (:lucasr)
no flags Details
screenshot on Motorola Droid 2 (54.42 KB, image/png)
2011-11-11 08:00 PST, Cristian Nicolae (:xti)
no flags Details

Description Erin Lancaster [:elan] 2011-10-24 12:15:16 PDT
Meta bug.
Comment 1 Ian Barlow (:ibarlow) 2011-10-25 14:03:39 PDT
Created attachment 569498 [details]
mockup of awesomescreen interactions

More polished mocks and assets are on the way, but this should be enough to start with.
Comment 2 Ian Barlow (:ibarlow) 2011-11-02 08:44:28 PDT
Created attachment 571341 [details]
More detailed mocks
Comment 3 Ian Barlow (:ibarlow) 2011-11-02 08:45:23 PDT
Created attachment 571342 [details]
Specs (based on 320px wide phone)
Comment 4 Lucas Rocha (:lucasr) 2011-11-02 09:44:14 PDT
Taking this bug now that we have UI spec for it.
Comment 5 Lucas Rocha (:lucasr) 2011-11-09 08:23:16 PST
Created attachment 573209 [details] [diff] [review]
(1/2) Change style of awesome bar entry as per design
Comment 6 Lucas Rocha (:lucasr) 2011-11-09 08:24:30 PST
Created attachment 573210 [details] [diff] [review]
(2/2) Implement dynamically coloured tabs in AwesomeBar
Comment 7 Lucas Rocha (:lucasr) 2011-11-09 08:34:49 PST
Mark (or anyone with different Android devices), could you install this apk on your device and send a screenshot? Just want to test the patch at least in one different device to make sure it works as expected.

APK: http://www.box.net/shared/z8ihpkj5gg2tf7noaaa1
Comment 8 Lucas Rocha (:lucasr) 2011-11-09 08:35:41 PST
Created attachment 573215 [details]
Screenshot on a Galaxy S
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-09 14:30:59 PST
Comment on attachment 573210 [details] [diff] [review]
(2/2) Implement dynamically coloured tabs in AwesomeBar

>+    static {
>+        // We wan to use the same color on the list items (in pressed state)

We want
Comment 10 Lucas Rocha (:lucasr) 2011-11-10 03:28:32 PST
Follow-up bugs:

 - Add 'Go' button to AwesomeBar text entry 
   https://bugzilla.mozilla.org/show_bug.cgi?id=701329

 - Show star on urls that are bookmarks in AwesomeBar screen
   https://bugzilla.mozilla.org/show_bug.cgi?id=701330
Comment 12 Wesley Johnston (:wesj) 2011-11-10 10:40:48 PST
These patches were backed while investigating Talos failures.  Now that tests are green again, we will need to reland.
Comment 13 Sriram Ramasubramanian [:sriram] 2011-11-10 21:13:33 PST
I was looking for coloring the browser toolbar with the system color. I found this: android.R.attr.textColorHighlight (ARGB value). This might work for getting the color I guess.
Comment 14 Sriram Ramasubramanian [:sriram] 2011-11-10 22:27:01 PST
ContextThemeWrapper ctw = new ContextThemeWrapper(mContext, android.R.style.TextAppearance);
TypedArray ta = ctw.getTheme().obtainStyledAttributes(new int[] { android.R.attr.textColorHighlight });
int color = ta.getColor(ta.getIndex(0), 0);

The above code gives the color of orange #FFFF9200 on stock gingerbread (Nexus S),
and #FF428EBA on Samsung Galaxy S2 (their blue) color.

I feel this would be a clear code and the perfect color to use.
Comment 15 Cristian Nicolae (:xti) 2011-11-11 08:00:28 PST
Created attachment 573812 [details]
screenshot on Motorola Droid 2

The selected tab text color is black instead of white on the latest Nightly build.

--
Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20111111
Firefox/10.0a1 Fennec/10.0a1
Devices: Motorola Droid 2
OS: Android 2.3.3
Comment 16 Brad Lassey [:blassey] (use needinfo?) 2011-11-11 08:50:19 PST
backout was backed out https://hg.mozilla.org/projects/birch/rev/6f925b45a547
Comment 17 Aaron Train [:aaronmt] 2011-11-14 06:45:05 PST
20111114041052
http://hg.mozilla.org/projects/birch/rev/859ecdfe0168
Samsung Galaxy SII (Android 2.3.4)

Note You need to log in before you can comment on or make changes to this bug.